> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/filters/layout.md).

# Layout

### **`awsm_job_listing_view_class`**

Modifying job listing class.

#### **Parameters**

* **$view\_class**

  (string) Class name.

#### **Source code**

File: *`wp-job-openings.php`*

### **`awsm_job_details_class`**

Modifying job details class.

#### **Parameters**

* **$column\_class**

  (string) Class name.

#### **Source code**

File: *`wp-job-openings.php`*

### **`awsm_job_listing_item_class`**

Filters the classes for each job listing item.

This filter is available since Version 2.1.0&#x20;

#### **Parameters**

* **$classes**

  (array) Array of class names.
* **$job\_id**

  (int) The Job ID.

#### **Source code**

File: *`inc/template-functions.php`*

### **`awsm_jobs_listing_details_link`**

Modifying job listing details link.

#### **Parameters**

* **$more\_dtls\_link**

  (string) More details link.
* **$view**

  (string) Layout of job listing.

#### **Source code**

File: *`inc/template-functions.php`*

### **`awsm_application_form_submit_btn_text`**

Modifying application form submit button text.

#### **Parameters**

* **$text**

  (string) Submit Button Text.

#### **Source code**

File: *`inc/template-functions.php`*

### **`awsm_application_form_submit_btn_res_text`**

&#x20;Modifying application form submit button response text.

#### **Parameters**

* **$text**

  (string) Submit Button Text.

#### **Source code**

File: *`inc/template-functions.php`*

### **`awsm_jobs_featured_image_content`**

Filters the featured image content.

This filter is available since Version 2.1.0&#x20;

#### **Parameters**

* **$content**

  (string) The image content.
* **$post\_thumbnail\_id**

  (int) The post thumbnail ID.

#### **Source code**

File: *`inc/template-functions.php`*

### **`awsm_jobs_listing_title`**

Modifying job listing title.

#### **Parameters**

* **$job\_title**

  (string) The job title.
* **$view**

  (string) Layout of job listing.

#### **Source code**

File: *`inc/templates/job-openings/main.php, inc/templates/widgets/recent-jobs.php`*

### `awsm_jobs_wrapper_class`

Filters the wrapper element class.

This filter is available since Version 3.1.0

**Parameters**

* **$wrapper\_class**\
  (string) Class names.

**Source code**

File: *`inc/template-functions.php`*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/filters/layout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
